summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:29:48 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:48 +0200
commita72d5b6ce55387f70dd2b16c163737f6988f0acf (patch)
tree52c8c8358a68377318d62a73a82194e39d3b144c /libraries
parent1c0b8bd20e66d779f478f0b03edb2c419d84be69 (diff)
downloadslackbuilds-a72d5b6ce55387f70dd2b16c163737f6988f0acf.tar.gz
slackbuilds-a72d5b6ce55387f70dd2b16c163737f6988f0acf.tar.xz
libraries/Mako: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/Mako/Mako.SlackBuild52
-rw-r--r--libraries/Mako/Mako.info8
-rw-r--r--libraries/Mako/README10
-rw-r--r--libraries/Mako/slack-desc19
4 files changed, 89 insertions, 0 deletions
diff --git a/libraries/Mako/Mako.SlackBuild b/libraries/Mako/Mako.SlackBuild
new file mode 100644
index 0000000000..28e3d69bfb
--- /dev/null
+++ b/libraries/Mako/Mako.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for Mako
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=Mako
+VERSION=${VERSION:-0.2.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES LICENSE README doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/Mako/Mako.info b/libraries/Mako/Mako.info
new file mode 100644
index 0000000000..9110d77a59
--- /dev/null
+++ b/libraries/Mako/Mako.info
@@ -0,0 +1,8 @@
+PRGNAM="Mako"
+VERSION="0.2.4"
+HOMEPAGE="http://www.makotemplates.org/"
+DOWNLOAD="http://pypi.python.org/packages/source/M/Mako/Mako-0.2.4.tar.gz"
+MD5SUM="f1a3d79bb79f6787e6d5c70dfd1c8ff8"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/libraries/Mako/README b/libraries/Mako/README
new file mode 100644
index 0000000000..bd288a3e34
--- /dev/null
+++ b/libraries/Mako/README
@@ -0,0 +1,10 @@
+Mako is a template library written in Python. It provides a familiar,
+non-XML syntax which compiles into Python modules for maximum performance.
+Mako's syntax and API borrows from the best ideas of many others, including
+Django templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an
+embedded Python (i.e. Python Server Page) language, which refines the
+familiar ideas of componentized layout and inheritance to produce one of the
+most straightforward and flexible models available, while also maintaining
+close ties to Python calling and scoping semantics.
+
+This requires pysetuptools.
diff --git a/libraries/Mako/slack-desc b/libraries/Mako/slack-desc
new file mode 100644
index 0000000000..93ef083179
--- /dev/null
+++ b/libraries/Mako/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+Mako: Mako (A python templating language)
+Mako:
+Mako: Mako is a template library written in Python. It provides a familiar,
+Mako: non-XML syntax which compiles into Python modules for maximum
+Mako: performance. Mako's syntax and API borrows from the best ideas of many
+Mako: others, including Django templates, Cheetah, Myghty, and Genshi.
+Mako: Conceptually, Mako is an embedded Python (i.e. Python Server Page)
+Mako: language, which refines the familiar ideas of componentized layout and
+Mako: inheritance to produce one of the most straightforward and flexible
+Mako: models available, while also maintaining close ties to Python.
+Mako: Homepage: http://www.makotemplates.org/